#include <bits/stdc++.h>
using namespace std;
vector<long long > v;
 vector<string>v1;
        string s;
int main(){
    ios_base :: sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    long long a=4,pm,b=0,br=0;
    int N,K;
    cin>>N>>K;
    cout<<N<<K;
    if(K>1){
    for(int i=0;i<N;i++){
        cin>>a;
        v.push_back(a);

    }
        for(int i=0;i<N;i++){
            pm=v[i];
            if(pm>=K){
                b++;
            }
            for(int j=i+1;j<N;j++){
                pm=pm|v[j];
              //  cout<<pm<<endl;
                if(pm>=K){
                 //   cout<<v[j]<<endl;
                    b++;
                }
            }
        }
    }else{

        for(int i=0;i<N;i++){
            cin>>s;
            cout<<s;
            v1.push_back(s);
        }
        for(int i=0;i<N;i++){
            if((v[i]-'0')!=0){
                b+=N-i;
                cout<<b<<endl;
               // cout<<b<<endl;
            }
        }
    }
    cout<<b<<endl;
    return 0;
}
